Subject: Re: bug#77762: [PATCH] web: Add JSON module.

From: Arun Isaac <[email-masked]>
Date: Sun, 13 Apr 2025 02:39:25 +0100

Hi David,

Thanks for the patch. I'm just trying to understand: Why do we need a
JSON module in guile itself? Isn't guile-json, the way it is as an
external library, good enough?

> API that can read/write JSON to/from a port using only Scheme data
> types that have read syntax (i.e. no hash tables like guile-json).

guile-json does not use hash tables. guile-json uses association lists.
I believe the decision to use hash tables was reversed many years ago.

Cheers!
Arun